---
title: Get
slug: get
description: Learn how to retrieve a contact by its ID or unique ID with this comprehensive document. Get code examples using cURL and understand the possible responses, including detailed JSON objects with contact information like ID, creation date, and more. Uncover
createdAt: 2023-09-28T15:21:52.474Z
---

:::ApiMethodV2
```json
{
  "name": "contact by id",
  "method": "GET",
  "url": " https://data.successeve.com/v2/contacts/:id",
  "description": "Get a contact by its ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "bXrS8OGNnAmeDiEZ-d4qs",
        "language": "curl",
        "code": "\ncurl -X GET https://data.successeve.com/v2/contacts/{id} \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "bXrS8OGNnAmeDiEZ-d4qs"
  },
  "results": {
    "languages": [
      {
        "id": "llk2c4E1Uh3Rid9pA7REy",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"contact\",\n  \"id\": \"5d3bae5bcb4a287b44583a55\",\n  \"unique_id\": \"5d3bae4cf92ea13a3dfb542e\",\n  \"created_at\": 1564192347,\n  \"archived\": true,\n  \"data\": {\n      ...\n    },\n  \"salesmachine\": {\n      ...\n   },\n  \"stage\": {\n    \"name\": \"Trial\",\n    \"id\": \"5b2bc014ce8d8355c6d48b70\"\n  },\n  \"accounts\": {\n    \"object\": \"account.list\",\n    \"data\": [\n      {\n        \"id\": \"5d3bae278cae234bef95405a\"\n      }\n    ]\n  }\n}\n"
      },
      {
        "id": "7plIVcdoaxpChIHwxkYzW",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "llk2c4E1Uh3Rid9pA7REy"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the contact to get"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "name": "contact by uid",
  "method": "GET",
  "url": " https://data.successeve.com/v2/contacts?uid=unique_id",
  "description": "Get a contact by its unique_id",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "bXrS8OGNnAmeDiEZ-d4qs",
        "language": "curl",
        "code": "\ncurl -X GET https://data.successeve.com/v2/contacts?uid{myid} \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "bXrS8OGNnAmeDiEZ-d4qs"
  },
  "results": {
    "languages": [
      {
        "id": "llk2c4E1Uh3Rid9pA7REy",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"contact\",\n  \"id\": \"5d3bae5bcb4a287b44583a55\",\n  \"unique_id\": \"5d3bae4cf92ea13a3dfb542e\",\n  \"created_at\": 1564192347,\n  \"archived\": true,\n  \"data\": {\n      ...\n    },\n  \"salesmachine\": {\n      ...\n   },\n  \"stage\": {\n    \"name\": \"Trial\",\n    \"id\": \"5b2bc014ce8d8355c6d48b70\"\n  },\n  \"accounts\": {\n    \"object\": \"account.list\",\n    \"data\": [\n      {\n        \"id\": \"5d3bae278cae234bef95405a\"\n      }\n    ]\n  }\n}\n"
      },
      {
        "id": "7plIVcdoaxpChIHwxkYzW",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "llk2c4E1Uh3Rid9pA7REy"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "uid",
        "kind": "required",
        "type": "string",
        "description": "External unique_id of the contact to get"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::



